/// Generated By XFlutter Cli.
/// 
/// more info: https://medium.com/@aghiadodeh
import 'package:flutter/material.dart';
import 'package:provider/provider.dart';
import '../providers/theme_provider.dart';

class ThemeWidget extends StatelessWidget {
  /// callback which wrap your widgets in current appTheme
  final Widget Function(BuildContext context, ThemeData theme) builder;

  /// widget with state management for App [ThemeData]
  const ThemeWidget({required this.builder, Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer<ThemeProvider>(
      builder: (context, value, _) => builder(context, value.theme),
    );
  }
}
